<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="maximum-scale=1.0,minimum-scale=1.0,user-scalable=0,width=device-width,initial-scale=1.0" />
  <meta name="format-detection" content="telephone=no,email=no,date=no,address=no">
  <title>文化联盟</title>
  <link rel="stylesheet" type="text/css" href="../../css/aui.2.0.css" />
  <link rel="stylesheet" type="text/css" href="../../css/app.css" />
  <link rel="stylesheet" href="../../css/cultural.css">
</head>
<body>
  <div class="wrap">
    <!-- 联盟动态 -->
    <div class="index-list-wrap" style="display:none;">
      <div ms-controller='game_main'>
      <ul>
        <li tapmode data-repeat-rendered="tapmode_bind" ms-repeat="lists">
          <div class="content-wrap" ms-click="openWin_article_detail(el.id)">
            <img ms-attr-lazy="el.logo" src="../../image/banner2.png" class="left">
            <div class="detail-info right">
              <h1>{{el.title}}</h1>
              <p>{{el.description}}</p>
              <span class="left">{{el.view}}次阅读</span>
              <b class="right" >{{el.create_time*1000 | date("yyyy.MM.dd")}}</b>
            </div>
            <div class="clearf"></div>
          </div>
        </li>
      </ul>
      </div>
    </div>
  </div>
</body>
<script type="text/javascript" src="../../script/api.js"></script>
<script type="text/javascript" src="../../script/zepto.js"></script>
<script type="text/javascript" src="../../script/avalon.js"></script>
<script type="text/javascript" src="../../script/common.js"></script>
<script type="text/javascript">
  apiready = function() {
    fnInitPullRefresh(function(ret) {
      game_main.lists = [];
      game_main.page = 1;
      game_main.getlist();
    });
    fnInitScrollToBottom(function(ret) {
      game_main.page++;
      game_main.getlist();
    });
    api.refreshHeaderLoading();

    avalon.ready(function() {
      window.game_main = avalon.define({
        $id: 'game_main',
        id: 20,
        page: 1,
        lists: [],
        getlist: function() {
        get_data('/api/Bussiness/lists', 'post', {
          page: game_main.page,
        }, function(ret) {
          api.refreshHeaderLoadDone();
          if(ret.status == 1) {
            ret.data.list.forEach(function(el) {
              game_main.lists.push(el);
            })
          } else {
            game_main.page--;
          }
        });
      },
      tapmode_bind: function() {
        api.parseTapmode();
      }
     });
     avalon.scan();
     $(".index-list-wrap").show();
   });
   function init_list() {
     game_main.getlist();
   }
  };
</script>
</html>
